package cn.com.qmth.sdk.test;

import cn.com.qmth.sdk.request.OuterQueryScoreDataReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;
import org.apache.commons.io.IOUtils;

public class QueryScoreData {

    public static void main(String[] args) {
        OuterQueryScoreDataReq reqBody = new OuterQueryScoreDataReq();
        reqBody.setRootOrgId(QmthUtil.getRootOrgId());
        // reqBody.setExamCode("1491");
        reqBody.setExamName("华南理工大学-测试考试");
        reqBody.setCourseCode("A004");
        // reqBody.setIdentityNumber("201715143170048");
        reqBody.setStudentCode("201715143170048");

        String url = QmthUtil.buildUrl("/api/exchange/outer/score/queryScoreData");
        Response resp = null;
        try {
            resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(), JsonUtil.toJson(reqBody));
            System.out.println(resp.code());
            System.out.println(resp.body().string());
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            IOUtils.closeQuietly(resp);
        }
    }

}
